#!/bin/sh

# update the customize tiem

. /etc/PG.conf
ADMIN=${PGPATH}/admin
FLOWEYE=${PGPATH}/bin/floweye
HTTPD=${PGPATH}/bin/ipe_httpd       
pending_event_file=${PGETC}/log/pending_events
current_event_file=${PGETC}/log/current_events
irqbind_count=0
canbindirq=0

osver=`uname -r | cut -d'.' -f1`
[ ${osver} -ge 8 ] && canbindirq=1

#NEWUPPATH=${DATAPATH}/sysupgrade/paonline
NEWUPPATH=${PGPATH}/paonline
PAExt="/tmp/Pa_Ext"
fcup=${PGPATH}/bin/wzcup
fwznet=${PGPATH}/bin/wznet
fwzrun=${PGPATH}/bin/wzrun

${FLOWEYE} nat config tpflow_holdlimit=256

if [ "${NEWUPPATH}" = "" ]; then
	return 0;
fi

mkdir ${PAExt}

if [ -f ${NEWUPPATH}/paonline.tar.gz ]; then
  tar zxfC ${NEWUPPATH}/paonline.tar.gz ${PAExt}/ 2>&1
#  rm -rf ${NEWUPPATH}/paonline.tar.gz 
fi

if [ -f ${NEWUPPATH}/parouter.tar.gz ]; then
  tar zxfC ${NEWUPPATH}/parouter.tar.gz ${PAExt}/ 2>&1
#  rm -rf ${NEWUPPATH}/parouter.tar.gz
fi

# cp http admin

if [ -d ${PAExt}/up_admin ]; then

  if [ -f {fcup} ]; then
    {fcup} stop
  fi
  if [ -f {fwznet} ]; then
    {fwznet} stop
  fi

  cp -rf ${PAExt}/up_admin/* /usr/.

  wzrun=`ps ax`
  wzrun=`echo "${wzrun}" | grep "${fwzrun}"`
  if [ "${wzrun}" = "" ]; then
    wzrun=`cat /etc/rc.local | grep "${fwzrun}"`
    if [ "${wzrun}" = "" ]; then
        echo "${fwzrun} &">>/etc/rc.local
    fi
  else
    `echo "${wzrun}" | awk '{if($1!="")system("kill -9 "$1)}'`
  fi
  ${fwzrun} &
fi

if [ ! -f ${PGPATH}/admin/cgi-bin/Wangba/wangba_guide.pl ]; then
  echo -n "#!/bin/sh
#This script is created by ssparser automatically. The parser first created by MaoShouyan
printf \"Content-type: text/html
Cache-Control: no-cache

\"
echo \"<h2><a target=\\\"_blank\\\" href=\\\"http://www.kx8.cn/down.html\\\">·ɰ</a><h2>\" 
" > ${PGPATH}/admin/cgi-bin/Wangba/wangba_guide.pl

  echo -n "#!/bin/sh
#This script is created by ssparser automatically. The parser first created by MaoShouyan
printf \"Content-type: text/html
Cache-Control: no-cache

\"
echo \"\" 
" > ${PGPATH}/admin/cgi-bin/Wangba/menu.pl
  chmod +x ${PGPATH}/admin/cgi-bin/Wangba/wangba_guide.pl
  chmod +x ${PGPATH}/admin/cgi-bin/Wangba/menu.pl
fi

# del old tar.gz
if [ -f ${NEWUPPATH}/paonline.tar.gz ]; then
  rm -rf ${NEWUPPATH}/paonline.tar.gz 
fi

if [ -f ${NEWUPPATH}/parouter.tar.gz ]; then
  rm -rf ${NEWUPPATH}/parouter.tar.gz
fi

# cp router
if [ -d ${PAExt}/up_router ]; then
   cp -Rf ${PAExt}/up_router/* /
fi

if [ -d ${PAExt} ]; then
  rm -rf ${PAExt}
fi
 
rehash

